Last Comment Bug 771489 - use standard threadsafe refcounting in host resolver
: use standard threadsafe refcounting in host resolver
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: DNS (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Josh Aas
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 05:48 PDT by Josh Aas
Modified: 2012-07-10 15:46 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (4.14 KB, patch)
2012-07-06 05:48 PDT, Josh Aas
sworkman: review+
Details | Diff | Splinter Review
fix v1.1 (4.60 KB, patch)
2012-07-07 07:36 PDT, Josh Aas
no flags Details | Diff | Splinter Review
fix v1.2 (4.94 KB, patch)
2012-07-09 12:15 PDT, Josh Aas
no flags Details | Diff | Splinter Review

Description Josh Aas 2012-07-06 05:48:47 PDT
Created attachment 639635 [details] [diff] [review]
fix v1.0

We should use standard threadsafe refcounting in the host resolver, not a custom scheme.
Comment 1 Steve Workman [:sworkman] (please use needinfo) 2012-07-06 11:07:28 PDT
Comment on attachment 639635 [details] [diff] [review]
fix v1.0

Looks good to me. Thanks Josh.
Comment 3 Josh Aas 2012-07-07 07:36:34 PDT
Created attachment 639958 [details] [diff] [review]
fix v1.1

There was some funny business with how the refcount was initialized for host records. This should fix it.
Comment 5 Josh Aas 2012-07-08 20:03:56 PDT
Now tests show we're leaking host records.
Comment 6 Josh Aas 2012-07-09 12:15:31 PDT
Created attachment 640322 [details] [diff] [review]
fix v1.2

The refcounting was fine, nothing was actually leaking, but refcount reporting was bad so the tests thought something was leaking. This is exactly why we need to get on a standardized addref/release scheme.
Comment 8 Josh Aas 2012-07-10 07:15:00 PDT
pushed to mozilla-inbound

http://hg.mozilla.org/integration/mozilla-inbound/rev/7578fa8c76f7
Comment 9 Ryan VanderMeulen [:RyanVM] 2012-07-10 15:46:04 PDT
https://hg.mozilla.org/mozilla-central/rev/7578fa8c76f7

Note You need to log in before you can comment on or make changes to this bug.